//
//  ViewController.swift
//  AbbNavigationController
//
//  Created by abb on 16/7/31.
//  Copyright © 2016年 abb. All rights reserved.
//

import UIKit

class ViewController: AbbBaseViewController {

    override func viewDidLoad() {
        super.viewDidLoad()
        title = "123"
        self.view.addSubview(self.tableview)
    }
    
    override var userTransparentNavigationBar: Bool {
        return false
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


    private lazy var tableview:UITableView = {
        let tv = UITableView(frame: UIScreen.mainScreen().bounds, style: .Grouped)
        tv.delegate = self
        tv.dataSource = self
        return tv
    }()
}
extension ViewController:UITableViewDelegate,UITableViewDataSource {
    func tableView(tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return 100
    }
    
    func tableView(tableView: UITableView, cellForRowAtIndexPath indexPath: NSIndexPath) -> UITableViewCell {
        let cell = UITableViewCell(style: .Default, reuseIdentifier: "")
        cell.backgroundColor = UIColor(red: (CGFloat(arc4random()) % 255)/255, green: (CGFloat(arc4random()) % 255)/255, blue: (CGFloat(arc4random()) % 255)/255, alpha: 1)
        return cell
    }
    
    func tableView(tableView: UITableView, didSelectRowAtIndexPath indexPath: NSIndexPath) {
        let vc = SecondViewController()
        self.navigationController?.pushViewController(vc, animated: true)
    }
}
