//
//  AbbNavigationBar.swift
//  AbbNavigationController
//
//  Created by abb on 16/7/31.
//  Copyright © 2016年 abb. All rights reserved.
//

import UIKit

class AbbNavigationBar: UINavigationBar {
    /**
     通过视图调试得知navBar里有一个_UINavigationBarBackground专门负责navBar的颜色和图片
     其中_UIBackdropView负责颜色,UIImageView负责图片,如果这里图片不设置为hidden = true的话
     会在navBar底部有一条白色的横线
     */
    override func layoutSubviews() {
        super.layoutSubviews()
        for obj in subviews {
            if obj.isKindOfClass(NSClassFromString("_UINavigationBarBackground")!) {
                if obj.subviews.count > 1 {
                    print(obj.subviews)
                    print(obj.subviews.count)
                    let shadow:UIImageView = obj.subviews[1] as! UIImageView
                    shadow.hidden = true
                }
            }
        }
    }

}
