//
//  AppDelegate.swift
//  AbbNavigationController
//
//  Created by abb on 16/7/31.
//  Copyright © 2016年 abb. All rights reserved.
//

import UIKit

@UIApplicationMain
class AppDelegate: UIResponder, UIApplicationDelegate {

    var window: UIWindow?


    func application(application: UIApplication, didFinishLaunchingWithOptions launchOptions: [NSObject: AnyObject]?) -> Bool {
        // Override point for customization after application launch.
        
        UINavigationBar.appearance().barStyle = UIBarStyle.Black
        UINavigationBar.appearance().translucent = false
        UINavigationBar.appearance().barTintColor = UIColor.redColor()
        
        
        window = UIWindow(frame: UIScreen.mainScreen().bounds)
        window?.backgroundColor = UIColor.whiteColor()
        
        let barVC:UITabBarController = UITabBarController()
        let vc1 = AbbNavigationController(rootViewController: ViewController())
        vc1.tabBarItem.title = "123"
        let vc2 = AbbNavigationController(rootViewController: ViewController())
        vc2.tabBarItem.title = "321"
        barVC.viewControllers = [vc1,vc2]
        
        self.window?.rootViewController = barVC
        self.window?.makeKeyAndVisible()
        
        return true
    }




}

